﻿using System;
using System.Linq;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace XamDataChartMarkersVisSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            var ls = new LineSeries();
            InitializeComponent();
            DataContext = new TestData();
        }
    }

    public class TestData : ObservableCollection<TestDataItem>
    {
        private static Random _random = new Random();

        public double Max { get; set; }
        public double Min { get; set; }
        public double Range
        {
            get
            {
                return Max - Min;
            }
        }

        public TestData()
        {
            DateTime startDate = DateTime.Now;


            foreach (var i in Enumerable.Range(0,1000))
            {
                Add(new TestDataItem()
                {
                    Date = startDate.AddDays(1),
                    Value = 1

                });
                startDate = this.Last().Date;
            }

        }
    }

    public class TestDataItem
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
        public double Value2 { get; set; }
    }  
}
